#! /usr/bin/rpm
%define  sovers         0
%define _unpackaged_files_terminate_build  0
 
# --------------------------------------------------------------------
Summary: 	Histogramming and fitting based on GSL
Name: 		rcugsl0
Version: 	0.1
Release: 	3
License: 	GPL
Group: 		Development/Libraries
URL: 		http://fmd.nbi.dk/fmd/fee/
Source0: 	rcugsl-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/rcugsl-%{version}-%{release}-buildroot
BuildRequires:  gsl-devel

%description
This library provides simple histogramming and fitting C++ classes
based on GSL. This package contains the run-time libraries.

%files
%defattr(-,root,root)
%{_prefix}/lib/lib*.so.*


# --------------------------------------------------------------------
%package -n rcugsl-devel
Summary:	Histogramming and fitting based on GSL
Group:		Development/System
Requires:	%{name}
%description -n rcugsl-devel
This library provides simple histogramming and fitting C++ classes
based on GSL. This package contains the development libraries and 
headers.

%files -n rcugsl-devel
%defattr(-,root,root)
%{_prefix}/include/rcugsl
%{_prefix}/lib/lib*.a
%{_prefix}/lib/lib*.la
%{_prefix}/lib/lib*.so
%{_prefix}/lib/pkgconfig/*
%{_prefix}/share/man/man1/rcugsl-config.1*
%{_prefix}/bin/rcugsl-config
%{_prefix}/share/aclocal/*
%{_prefix}/share/doc/rcugsl


# --------------------------------------------------------------------
%prep 
%setup -q -n rcugsl-%{version}

%build
%configure	

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install 

%clean
make clean
rm -rf $RPM_BUILD_ROOT

# --------------------------------------------------------------------
%changelog
* Fri Apr 27 2007 Christian Holm Christensen <cholm@nbi.dk>
- Also install docs

* Fri Mar 30 2007 Christian Holm Christensen <cholm@nbi.dk>
- Corrected some member function  names and M4 macro

* Wed Feb 21 2007 Christian Holm Christensen <cholm@nbi.dk>
- Initial release
